package com.ywt.outpatient.domain.models.enums;

/**
 * 远诊会诊订单状态
 */
public enum TreatmentStatusEnum {
    Pending("待付款", 1),
    Paid("已付款", 1 << 1),
    Refunded("已退款", 1 << 2),
    Cancel("已取消", 1 << 3),
    SubmitReport("提交报告", 1 << 4),
    InformPatient("已通知用户", 1 << 5),
    Evaluate("用户已评价", 1 << 6),
    Settlement("已结算", 1 << 7);

    private final String displayName;

    private final int value;

    TreatmentStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


}
